import request from '@/utils/request'

// 获取商品列表
export function getProdList(params) {
  return request({
    url: '/auth/product/list',
    method: 'get',
    params
  })
}

// 添加设备
export function saveProduct(data) {
  return request({
    url: '/auth/product/save',
    method: 'post',
    data
  })
}

// 关联设备
export function saveProductRelation(data) {
  return request({
    url: '/auth/product/save/relation',
    method: 'post',
    data
  })
}

// 根据id获取商品信息
export function getProductById(params) {
  return request({
    url: '/auth/product/form/data',
    method: 'get',
    params
  })
}

// 修改商品状态
export function setProductStatus(data) {
  return request({
    url: '/auth/product/update/status',
    method: 'post',
    data
  })
}

// 删除商品
export function removeProduct(data) {
  return request({
    url: '/auth/product/delete',
    method: 'post',
    data
  })
}

// 审核商品 /auth/product/audit
export function auditProduct(data) {
  return request({
    url: '/auth/product/audit',
    method: 'post',
    data
  })
}

// 审核商品 /auth/product/audit
export function auditProductCheck(id) {
  return request({
    url: `/auth/product/check/${id}`,
    method: 'post'
  })
}

// 添加设备分类
export function createProductCate(data) {
  return request({
    url: '/auth/product/type/save',
    method: 'post',
    data
  })
}

// 设备分类数据回显
export function fetchAuthProductFormData(params) {
  return request({
    url: '/auth/product/type/form/data',
    method: 'get',
    params
  })
}

// 获取设备分类列表
export function fetchProductCateList(params) {
  return request({
    url: '/auth/product/type/list',
    method: 'get',
    params
  })
}

// 删除设备分类
export function removeProductCate(data) {
  return request({
    url: '/auth/product/type/delete',
    method: 'post',
    data
  })
}

// 修改设备分类状态
export function updateProductCateStatus(data) {
  return request({
    url: '/auth/product/type/update/status',
    method: 'post',
    data
  })
}

// 设备选择列表
export function fetchProductSelectList(params) {
  return request({
    url: '/auth/product/type/select',
    method: 'get',
    params
  })
}

// 设备分类审核
export function auditProductCate(data) {
  return request({
    url: '/auth/product/type/audit',
    method: 'post',
    data
  })
}

// 设备分类审核
export function auditProductCateCheck(id) {
  return request({
    url: `/auth/product/type/check/${id}`,
    method: 'post'
  })
}

// 设备sn码列表
export function fetchProductSnList(params) {
  return request({
    url: '/auth/product/sn/list',
    method: 'get',
    params
  })
}

// 通过sn码获取设备信息
export function fetchDetialBySnCode(params) {
  return request({
    url: '/auth/product/info',
    method: 'get',
    params
  })
}

// 根据类型获取设备sn码
export function fetchProductSnListType(params) {
  return request({
    url: '/auth/product/sn/listSn',
    method: 'get',
    params
  })
}

// 获取设备关联机构列表
export function fetchDeviceAssClubList(data) {
  return request({
    url: '/auth/product/relation/list',
    method: 'post',
    data
  })
}
